//+------------------------------------------------------------------+
//|                                             test_correlation.mq5 |
//|                                           Copyright 2014, denkir |
//|                           https://login.mql5.com/ru/users/denkir |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, denkir"
#property link      "https://login.mql5.com/ru/users/denkir"
#property version   "1.00"
//---
#include <Math\Alglib\alglib.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---   stops1
   const double Stops1[]=
     {
      37,10,3,30,71,77,12,73,22,24,56,8,34,67,66,71,76,5,60,69,43,51,
      50,15,41,13,46,21,3,21,15,58,45,7,71,17,19,14,35,55,7,24,20,40,46
     };
//---   stops2
   const double Stops2[]=
     {
      51,3,43,41,8,13,25,71,10,34,2,51,1,26,45,65,71,30,11,10,1,60,1,
      57,0,68,10,5,1,37,23,11,59,34,30,67,4,51,51,14,32,17,19,29,53
     };
//---   stops3
   const double Stops3[]=
     {
      39,3,18,17,34,33,8,49,19,3,30,5,3,42,16,66,28,15,9,75,50,52,15,
      43,20,3,13,1,30,17,8,24,21,3,39,18,2,38,53,67,10,31,12,4,41
     };
     
//--- 
   double Ryx,  //  
   bothTails,   // p-   
   leftTail,    // p-   
   rightTail;   // p-   

//--- stops1 vs. stops2
   Ryx=CAlglib::SpearmanCorr2(Stops1,Stops2,ArraySize(Stops1));
//---     
   CAlglib::SpearmanRankCorrelationSignificance(Ryx,ArraySize(Stops1),
                                                bothTails,leftTail,rightTail);
//--- 
   Print("\n---=== Stops1  Stops2===---");
   PrintFormat("p-   : %0.4f",bothTails);
   PrintFormat("p-   : %0.4f",leftTail);
   PrintFormat("p-   : %0.4f",rightTail);

//--- stops1 vs. stops3
   Ryx=CAlglib::SpearmanCorr2(Stops1,Stops3,ArraySize(Stops1));
//---     
   CAlglib::SpearmanRankCorrelationSignificance(Ryx,ArraySize(Stops1),
                                                bothTails,leftTail,rightTail);
//--- 
   Print("\n---=== Stops1  Stops3===---");
   PrintFormat("p-   : %0.4f",bothTails);
   PrintFormat("p-   : %0.4f",leftTail);
   PrintFormat("p-   : %0.4f",rightTail);
  }
//+------------------------------------------------------------------+
